diff --git officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu
index d77187c..ab59975 100644
--- officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu
+++ officecfg/registry/data/org/openoffice/Office/UI/CalcCommands.xcu
@@ -1483,6 +1483,14 @@
                     <value xml:lang="en-US">S~hare Document...</value>
                 </prop>
             </node>
+            <node oor:name=".uno:ToggleSheetGrid" oor:op="replace">
+                <prop oor:name="Label" oor:type="xs:string">
+                    <value xml:lang="en-US">Toggle Grid Lines for Current Sheet</value>
+                </prop>
+                <prop oor:name="Properties" oor:type="xs:int">
+                    <value>1</value>
+                </prop>
+            </node>
         </node>
         <node oor:name="Popups">
             <node oor:name=".uno:AuditMenu" oor:op="replace">
diff --git sc/inc/ViewSettingsSequenceDefines.hxx sc/inc/ViewSettingsSequenceDefines.hxx
index c720413..1143d9f 100644
--- sc/inc/ViewSettingsSequenceDefines.hxx
+++ sc/inc/ViewSettingsSequenceDefines.hxx
@@ -64,7 +64,7 @@
 // this are the defines for the position of the settings in the
 // TableViewSettingsSequence
 
-#define SC_TABLE_VIEWSETTINGS_COUNT         15
+#define SC_TABLE_VIEWSETTINGS_COUNT         16
 
 #define SC_CURSOR_X							0
 #define SC_CURSOR_Y							1
@@ -81,6 +81,7 @@
 #define SC_TABLE_ZOOM_VALUE                 12
 #define SC_TABLE_PAGE_VIEW_ZOOM_VALUE       13
 #define SC_TABLE_TAB_BG_COLOR               14
+#define SC_TABLE_SHOWGRID                   15
 
 #define SC_CURSORPOSITIONX					"CursorPositionX"
 #define SC_CURSORPOSITIONY					"CursorPositionY"
diff --git sc/inc/sc.hrc sc/inc/sc.hrc
index d7e1983..f7d4695 100644
--- sc/inc/sc.hrc
+++ sc/inc/sc.hrc
@@ -1672,6 +1672,9 @@
 // Autoformat for DataPilot
 #define SID_PIVOT_AFMT              (SC_OOO_BUILD_START + 4)
 
+// Toggle sheet grid
+#define FID_TAB_TOGGLE_GRID         (SC_OOO_BUILD_START + 5)
+
 #endif 
 
 
diff --git sc/inc/scextopt.hxx sc/inc/scextopt.hxx
index 0e3866e..206ff20 100644
--- sc/inc/scextopt.hxx
+++ sc/inc/scextopt.hxx
@@ -80,6 +80,7 @@ struct ScExtTabSettings
     bool                mbSelected;         /// true = Sheet is selected.
     bool                mbFrozenPanes;      /// true = Frozen panes; false = Normal splits.
     bool                mbPageMode;         /// true = Pagebreak mode; false = Normal view mode.
+    bool                mbShowGrid;         /// Whether or not to display gridlines.
     Color               maTabBgColor;       /// Tab Bg Color
     bool                IsDefaultTabBgColor() const { return maTabBgColor == Color(COL_AUTO) ? TRUE : FALSE; };
 
diff --git sc/sdi/docsh.sdi sc/sdi/docsh.sdi
index 4a773ab..e780e11 100644
--- sc/sdi/docsh.sdi
+++ sc/sdi/docsh.sdi
@@ -64,6 +64,7 @@ interface TableSelection
     FID_TAB_RENAME		[ ExecMethod = ExecuteTable; StateMethod = GetStateTable; ]
     FID_TAB_RTL			[ ExecMethod = ExecuteTable; StateMethod = GetStateTable; ]
     FID_TAB_SET_TAB_BG_COLOR    [ ExecMethod = ExecuteTable; StateMethod = GetStateTable; ]
+    FID_TAB_TOGGLE_GRID [ ExecMethod = ExecuteTable; StateMethod = GetStateTable; ]
 
     SID_TABLE_ACTIVATE	[ ExecMethod = Execute; ]
 }
diff --git sc/sdi/scalc.sdi sc/sdi/scalc.sdi
index 11874e5..471ab26 100644
--- sc/sdi/scalc.sdi
+++ sc/sdi/scalc.sdi
@@ -7875,6 +7875,33 @@ SfxVoidItem ShareDocument SID_SHARE_DOC
 ]
 
 //--------------------------------------------------------------------------
+SfxBoolItem ToggleSheetGrid FID_TAB_TOGGLE_GRID
+
+[
+    /* flags: */
+    AutoUpdate = FALSE,
+    Cachable = Cachable,
+    FastCall = FALSE,
+    HasCoreId = FALSE,
+    HasDialog = FALSE,
+    ReadOnlyDoc = TRUE,
+    Toggle = FALSE,
+    Container = FALSE,
+    RecordAbsolute = FALSE,
+    RecordPerSet;
+    Synchron;
+    
+    /* config: */
+    AccelConfig = TRUE,
+    MenuConfig = TRUE,
+    StatusBarConfig = FALSE,
+    ToolBoxConfig = TRUE,
+    GroupId = GID_FORMAT;
+]
+
+
+
+//--------------------------------------------------------------------------
 SvxColorItem TabBgColor FID_TAB_SET_TAB_BG_COLOR
 
 [
diff --git sc/source/filter/excel/xeview.cxx sc/source/filter/excel/xeview.cxx
index 81c5b9a..d15634b 100644
--- sc/source/filter/excel/xeview.cxx
+++ sc/source/filter/excel/xeview.cxx
@@ -316,7 +316,6 @@ XclExpTabViewSettings::XclExpTabViewSettings( const XclExpRoot& rRoot, SCTAB nSc
 
     const ScViewOptions& rViewOpt = GetDoc().GetViewOptions();
     maData.mbShowFormulas   = rViewOpt.GetOption( VOPT_FORMULAS );
-    maData.mbShowGrid       = rViewOpt.GetOption( VOPT_GRID );
     maData.mbShowHeadings   = rViewOpt.GetOption( VOPT_HEADER );
     maData.mbShowZeros      = rViewOpt.GetOption( VOPT_NULLVALS );
     maData.mbShowOutline    = rViewOpt.GetOption( VOPT_OUTLINER );
@@ -391,6 +390,7 @@ XclExpTabViewSettings::XclExpTabViewSettings( const XclExpRoot& rRoot, SCTAB nSc
             else
                 maData.maGridColor = rGridColor;
         }
+        maData.mbShowGrid       = rTabSett.mbShowGrid;
 
         // view mode and zoom
         maData.mbPageMode       = (GetBiff() == EXC_BIFF8) && rTabSett.mbPageMode;
diff --git sc/source/filter/excel/xiview.cxx sc/source/filter/excel/xiview.cxx
index fbd72d0..ce76483 100644
--- sc/source/filter/excel/xiview.cxx
+++ sc/source/filter/excel/xiview.cxx
@@ -277,6 +277,9 @@ void XclImpTabViewSettings::Finalize()
     else
         rTabSett.maGridColor = maData.maGridColor;
 
+    // show grid option
+    rTabSett.mbShowGrid      = maData.mbShowGrid;
+
     // view mode and zoom
     if( maData.mnCurrentZoom != 0 )
         (maData.mbPageMode ? maData.mnPageZoom : maData.mnNormalZoom) = maData.mnCurrentZoom;
@@ -291,7 +294,6 @@ void XclImpTabViewSettings::Finalize()
         // set Excel sheet settings globally at Calc document, take settings from displayed sheet
         ScViewOptions aViewOpt( rDoc.GetViewOptions() );
         aViewOpt.SetOption( VOPT_FORMULAS, maData.mbShowFormulas );
-        aViewOpt.SetOption( VOPT_GRID,     maData.mbShowGrid );
         aViewOpt.SetOption( VOPT_HEADER,   maData.mbShowHeadings );
         aViewOpt.SetOption( VOPT_NULLVALS, maData.mbShowZeros );
         aViewOpt.SetOption( VOPT_OUTLINER, maData.mbShowOutline );
diff --git sc/source/ui/inc/viewdata.hxx sc/source/ui/inc/viewdata.hxx
index c66083f..c77088e 100644
--- sc/source/ui/inc/viewdata.hxx
+++ sc/source/ui/inc/viewdata.hxx
@@ -149,6 +149,8 @@ private:
     SCCOL			nPosX[2];
     SCROW			nPosY[2];
 
+    bool            bShowGrid;                  // per-sheet show grid-lines option.
+
     BOOL			bOldCurValid;				// "virtuelle" Cursorpos. bei zusammengefassten
 
     Color           aTabBgColor;
@@ -339,6 +341,9 @@ public:
     const Fraction&	GetZoomX() const        { return bPagebreak ? pThisTab->aPageZoomX : pThisTab->aZoomX; }
     const Fraction&	GetZoomY() const        { return bPagebreak ? pThisTab->aPageZoomY : pThisTab->aZoomY; }
 
+    void            SetShowGrid( bool bShow );
+    bool            GetShowGrid() const { return pThisTab->bShowGrid; }
+
     const MapMode&	GetLogicMode( ScSplitPos eWhich );
     const MapMode&	GetLogicMode();						// Offset 0
 
diff --git sc/source/ui/view/gridwin4.cxx sc/source/ui/view/gridwin4.cxx
index 10db2f6..8a9d867 100644
--- sc/source/ui/view/gridwin4.cxx
+++ sc/source/ui/view/gridwin4.cxx
@@ -573,7 +573,8 @@ void ScGridWindow::Draw( SCCOL nX1, SCROW nY1, SCCOL nX2, SCROW nY2, ScUpdateMod
     aOutputData.SetEditObject( GetEditObject() );
     aOutputData.SetViewShell( pViewData->GetViewShell() );
 
-    BOOL bGrid = rOpts.GetOption( VOPT_GRID );
+    BOOL bGrid = rOpts.GetOption( VOPT_GRID ) && pViewData->GetShowGrid();
+
     BOOL bPage = rOpts.GetOption( VOPT_PAGEBREAKS );
 
     if ( eMode == SC_UPDATE_CHANGED )
diff --git sc/source/ui/view/scextopt.cxx sc/source/ui/view/scextopt.cxx
index fd28d95..8ca5fc2 100644
--- sc/source/ui/view/scextopt.cxx
+++ sc/source/ui/view/scextopt.cxx
@@ -62,6 +62,7 @@ ScExtTabSettings::ScExtTabSettings() :
     mbSelected( false ),
     mbFrozenPanes( false ),
     mbPageMode( false ),
+    mbShowGrid( true ),
     maTabBgColor( COL_AUTO)
 {
 }
diff --git sc/source/ui/view/tabvwshf.cxx sc/source/ui/view/tabvwshf.cxx
index c65b62a..971e646 100644
--- sc/source/ui/view/tabvwshf.cxx
+++ sc/source/ui/view/tabvwshf.cxx
@@ -37,6 +37,8 @@
 
 #include "scitems.hxx"
 #include <sfx2/request.hxx>
+#include <sfx2/bindings.hxx>
+#include <sfx2/viewfrm.hxx>
 #include <basic/sbstar.hxx>
 #include <layout/layout.hxx>
 #include <svtools/languageoptions.hxx>
@@ -690,6 +692,17 @@ void ScTabViewShell::ExecuteTable( SfxRequest& rReq )
             }
             break;
 
+        case FID_TAB_TOGGLE_GRID:
+            {
+                bool bShowGrid = pViewData->GetShowGrid();
+                pViewData->SetShowGrid(!bShowGrid);
+                SfxBindings& rBindings = GetViewFrame()->GetBindings();
+                rBindings.Invalidate( FID_TAB_TOGGLE_GRID );
+                PaintGrid();
+                rReq.Done();
+            }
+            break;
+
         case FID_TAB_SET_TAB_BG_COLOR:
         case FID_TAB_MENU_SET_TAB_BG_COLOR:
             {
@@ -939,6 +952,10 @@ void ScTabViewShell::GetStateTable( SfxItemSet& rSet )
                     rSet.Put( SvxColorItem( aColor, nWhich ) );
                 }
                 break;
+
+            case FID_TAB_TOGGLE_GRID:
+                rSet.Put( SfxBoolItem(nWhich, pViewData->GetShowGrid()) );
+                break;
         }
         nWhich = aIter.NextWhich();
     }
diff --git sc/source/ui/view/viewdata.cxx sc/source/ui/view/viewdata.cxx
index 23e0e59..8f458db 100644
--- sc/source/ui/view/viewdata.cxx
+++ sc/source/ui/view/viewdata.cxx
@@ -104,6 +104,7 @@ ScViewDataTable::ScViewDataTable() :
                 nFixPosY( 0 ),
                 nCurX( 0 ),
                 nCurY( 0 ),
+                bShowGrid( true ),
                 bOldCurValid( FALSE ),
                 aTabBgColor( Color(COL_AUTO) )
 {
@@ -165,6 +166,10 @@ void ScViewDataTable::WriteUserDataSequence(uno::Sequence <beans::PropertyValue>
         pSettings[SC_TABLE_PAGE_VIEW_ZOOM_VALUE].Name = rtl::OUString(RTL_CONSTASCII_USTRINGPARAM(SC_PAGEVIEWZOOMVALUE));
         pSettings[SC_TABLE_PAGE_VIEW_ZOOM_VALUE].Value <<= nPageZoomValue;
 
+        pSettings[SC_TABLE_SHOWGRID].Name = rtl::OUString(RTL_CONSTASCII_USTRINGPARAM(SC_UNO_SHOWGRID));
+        pSettings[SC_TABLE_SHOWGRID].Value <<= static_cast<sal_Bool>(bShowGrid);
+
+
         if ( !IsDefaultTabBgColor() )
         {
             pSettings[SC_TABLE_TAB_BG_COLOR].Name = rtl::OUString(RTL_CONSTASCII_USTRINGPARAM(SC_UNO_TABCOLOR));
@@ -276,6 +281,10 @@ void ScViewDataTable::ReadUserDataSequence(const uno::Sequence <beans::PropertyV
             aPageZoomX = aPageZoomY = aZoom;
             rHasZoom = true;
         }
+        else if (sName.compareToAscii(SC_UNO_SHOWGRID) == 0)
+        {
+            aSettings[i].Value >>= bShowGrid;
+        }
         else if (sName.compareToAscii(SC_TABLESELECTED) == 0)
         {
             bool bSelected = false;
@@ -704,6 +713,12 @@ void ScViewData::SetZoom( const Fraction& rNewX, const Fraction& rNewY, BOOL bAl
     RefreshZoom();
 }
 
+void ScViewData::SetShowGrid( bool bShow )
+{
+    CreateSelectedTabData();
+    pTabData[nTabNo]->bShowGrid = bShow;
+}
+
 void ScViewData::RefreshZoom()
 {
     // recalculate zoom-dependent values (only for current sheet)
@@ -2500,6 +2515,7 @@ void ScViewData::WriteExtOptions( ScExtDocOptions& rDocOpt ) const
                 if( rGridColor.GetColor() != SC_STD_GRIDCOLOR )
                     rTabSett.maGridColor = rGridColor;
             }
+            rTabSett.mbShowGrid = pViewTab->bShowGrid;
 
             // view mode and zoom
             rTabSett.mbPageMode = bPagebreak;
@@ -2635,6 +2651,8 @@ void ScViewData::ReadExtOptions( const ScExtDocOptions& rDocOpt )
             if( rTabSett.mnPageZoom )
                 rViewTab.aPageZoomX = rViewTab.aPageZoomY = Fraction( rTabSett.mnPageZoom, 100L );
 
+            rViewTab.bShowGrid = rTabSett.mbShowGrid;
+
             // get some settings from displayed Excel sheet, set at Calc document
             if( nTab == GetTabNo() )
             {
diff --git sc/uiconfig/scalc/toolbar/formatobjectbar.xml sc/uiconfig/scalc/toolbar/formatobjectbar.xml
index 49c31d7..773befc 100644
--- sc/uiconfig/scalc/toolbar/formatobjectbar.xml
+++ sc/uiconfig/scalc/toolbar/formatobjectbar.xml
@@ -50,4 +50,6 @@
  <toolbar:toolbaritem xlink:href=".uno:InsertColumns" toolbar:helpid="helpid:26268"  toolbar:visible="false" />
  <toolbar:toolbaritem xlink:href=".uno:DeleteRows" toolbar:helpid="helpid:26236"  toolbar:visible="false" />
  <toolbar:toolbaritem xlink:href=".uno:DeleteColumns" toolbar:helpid="helpid:26237"  toolbar:visible="false" />
+ <toolbar:toolbarseparator/>
+ <toolbar:toolbaritem xlink:href=".uno:ToggleSheetGrid" toolbar:helpid="helpid:26238"  toolbar:visible="true" />
 </toolbar:toolbar>
